<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
</head>
<body>
<script>
    var Data // Вот тут надо заполнить из template и отдать куда надо.
    // Чтение JSON файла
    fetch('/data/1000484950')
        .then(response => response.json())
        .then(data => {
            var merchantDropdown = document.getElementById('merchantDropdown');

            // Добавление опций списка из JSON данных
            data.forEach(merchant => {
                const option = document.createElement('option');
                option.text = merchant.merchantid;
                merchantDropdown.add(option);
            });
            // Инициализация графика
            Data = data
            drawGraph();
        })
        .catch(error => {
            // Обработка ошибок
            console.error('Ошибка:', error);
        });

    // Функция для отрисовки графика при изменении выбранного значения списка
    function drawGraph() {
        var merchantDropdown = document.getElementById('merchantDropdown');
        var graphContainer = document.getElementById('graphContainer');
        const selectedMerchantId = merchantDropdown.value;

        // Поиск данных для выбранного merchantid
        const selectedMerchant = Data.find(merchant => merchant.merchantid === selectedMerchantId);

        if (selectedMerchant) {
            const dates = selectedMerchant.info.map(item => item.date);
            const prices = selectedMerchant.info.map(item => parseFloat(item.price.replace(',', '.')));

            // Отрисовка графика с использованием Plotly
            const graphData = [
                {
                    x: dates,
                    y: prices,
                    type: 'scatter',
                    mode: 'lines+markers'
                }
            ];
            const graphLayout = {
                title: 'График цен',
                xaxis: {
                    title: 'Дата'
                },
                yaxis: {
                    title: 'Цена'
                }
            };
            Plotly.newPlot(graphContainer, graphData, graphLayout);

        } else {
            // Очистка графика, если выбранного merchantid нет в данных
            graphContainer.innerHTML = '';
        }
    }

</script>
<div>
    <select id="merchantDropdown" onchange="drawGraph()">
        <!-- Опции списка будут добавлены динамически из кода JavaScript -->
    </select>
</div>
<div id="graphContainer"></div>

</body>
</html>